[package]
name = "lsp2mcp"
version = "0.1.0"
edition = "2024"

[dependencies]
anyhow = "1.0.100"
async-gen = "0.2.3"
async-lsp = "0.2.2"
async-process = "2.3"
clap = { version = "4.5.48", features = ["derive"] }
crossbeam = "0.8"
futures = "0.3.31"
rmcp = { version = "0.8.0", features = ["server", "transport-io"] }
serde = { version = "1.0", features = ["derive"] }
tokio = { version = "1.47.1", features = ["macros", "rt", "rt-multi-thread", "fs"] }
toml = "0.8"
tower = "0.5.2"
tracing = "0.1.41"
tracing-subscriber = { version = "0.3.20", features = ["env-filter", "fmt", "std"] }
